<?
	/** Zbiór funckji odpowiedzialnych za bezpieczeństwo.
	 * @author Michał Malinowski
	 * @package XPDefault
	 */

	 /** */
	if ( defined( '_CHECK_PAGE_FUN' ) ) return;
	define( '_CHECK_PAGE_FUN', 1 );

	/** Fukcja sprawdza poprawność zmiennej $xexepage
	 *
	 * Zmiena $xexepage jest czyszczona jeśli użytkownik nie ma prawa do przekazania podanej wartości.
	 * @author Michał Malinowski
	 * @version 0.0
	 */
	function checkExePage() {
		global $sess;

		if (!empty($_REQUEST['xexepage']))
			$sess->set('xexepage', $_REQUEST['xexepage']);
		else
			$sess->set('xexepage', 'empty');
	}

	/** Fukcja sprawdza poprawność zmiennej $page
	 *
	 * Zmiena $xpage jest czyszczona jeśli użytkownik nie ma prawa do przekazania podanej wartości.
	 * @author Michał Malinowski
	 * @version 0.0
	 */
	function checkPage() {
		global $sess;

		if (!empty($_REQUEST['xpage']))
			$sess->set('xpage', $_REQUEST['xpage']);
		if (!$sess->is_set('xpage'))
			$sess->set('xpage', 'start');
	}
?>
